Subject: ds/packed-refs-v2 (was Re: What's cooking in git.git (Dec 2022, #04; Mon, 12))

From: Derrick Stolee <[email-masked]>
Date: Mon, 12 Dec 2022 08:55:05 -0500

On 12/12/2022 8:43 AM, Junio C Hamano wrote:

> * ds/packed-refs-v2 (2022-11-07) 30 commits
>  - refs: skip hashing when writing packed-refs v2
>  - p1401: create performance test for ref operations
>  - ci: run GIT_TEST_PACKED_REFS_VERSION=2 in some builds
>  - t*: skip packed-refs v2 over http tests
>  - t3210: require packed-refs v1 for some tests
>  - t5502: add PACKED_REFS_V1 prerequisite
>  - t5312: allow packed-refs v2 format
>  - t1409: test with packed-refs v2
>  - packed-backend: create GIT_TEST_PACKED_REFS_VERSION
>  - packed-refs: write prefix chunks
>  - packed-refs: read optional prefix chunks
>  - packed-refs: read file format v2
>  - packed-refs: write file format version 2
>  - packed-backend: create shell of v2 writes
>  - config: add config values for packed-refs v2
>  - packed-backend: create abstraction for writing refs
>  - packed-backend: extract iterator/updates merge
>  - packed-backend: extract add_write_error()
>  - refs: extract packfile format to new file
>  - chunk-format: parse trailing table of contents
>  - chunk-format: allow trailing table of contents
>  - chunk-format: store chunk offset during write
>  - chunk-format: document trailing table of contents
>  - chunk-format: number of chunks is optional
>  - refs: allow loose files without packed-refs
>  - repository: wire ref extensions to ref backends
>  - config: fix multi-level bulleted list
>  - extensions: add refFormat extension
>  - read-cache: add index.computeHash config option
>  - hashfile: allow skipping the hash function
> 
>  Waiting for review.
>  Seems to break CI.
>  linux-TEST-vars
>  cf. https://github.com/git/git/actions/runs/3598165328
>  source: <[email-masked]>

Please eject this series. It was only an RFC on purpose, and
the first few patches have been replaced with a new series [1]
(which I will send a new version of soon)

[1] https://lore.kernel.org/git/[email-masked]/

Meanwhile, Keanen Wold and I are discussing with John Cai
about capacity around ref storage mechanisms. I also haven't
had time to do the deep-dive on reftable that I promised.

Thanks,
-Stolee